Skip to content

Chargeback Alert Notifications

  • Endpoint: POST /chargebackAlertNotifyUrl
  • Tags: Risk

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesmaxLength: 64Return code, ‘APPLY_ SUCCESS’ stands for success
msgstringYesmaxLength: 256Response description, ‘Success.’
dataobjectYesCase information
data.outTradeNostringYesmaxLength: 64Merchant order number
data.outUserIdstringYesmaxLength: 64User ID
data.tradeTokenstringYesmaxLength: 64Payermax trade token
data.tradeCountrystringYesmaxLength: 3Trade country
data.tradeAmountstringYesmaxLength: 20Trade Amount
data.tradeCurrencystringYesmaxLength: 3Trade Currency
data.tradeFinishTimestringYesmaxLength: 32Trade Finish Time
data.alertOrderNostringYesmaxLength: 64Chargeback Alert Order No
data.alertTimestringYesmaxLength: 32Alert Time
data.alertTypestringYesmaxLength: 32Alert Type
data.alertFeeAmountstringYesmaxLength: 20Alert Fee Amount
data.alertFeeCurrencystringYesmaxLength: 3Alert Fee Currency
data.alertTaxAmountstringYesmaxLength: 20Alert Tax Amount
data.alertTaxCurrencystringYesmaxLength: 3Alert Tax Currency
data.alertReasonCodestringYesmaxLength: 256Alert Reason Code
data.alertReasonTypestringYesmaxLength: 32Alert Reason Type
data.refundRequiredstringYesmaxLength: 1Refund Required
data.refundTypestringYesmaxLength: 20Refund Type
notifyTimestringYesmaxLength: 32Notify Time
versionstringYesAPI version. Current value: 1.0
keyVersionstringYesSignature Algorithm Version, Current value: 1
requestTimestringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax

Example

json
{
  "appId": "6666c8b036a24579974497c2f9a11111",
  "code": "APPLY_SUCCESS",
  "data": {
    "outTradeNo": "20181112112606266846",
    "outUserId": "ZNW3e",
    "tradeToken": "T2024062702289232000001",
    "tradeCountry": "IN",
    "tradeAmount": 10,
    "tradeCurrency": "INR",
    "tradeFinishTime": "2022-01-22T10:00:00.500+08:00",
    "alertOrderNo": "CBW20250804071254841817458108",
    "alertTime": "2022-01-22T10:00:00.500+08:00",
    "alertType": "RDR",
    "alertFeeAmount": 10,
    "alertFeeCurrency": "USD",
    "alertTaxAmount": 0,
    "alertTaxCurrency": "USD",
    "alertReasonCode": "13.1",
    "alertReasonType": "dispute",
    "refundRequired": "Y",
    "refundType": "platform"
  },
  "keyVersion": "1",
  "merchantNo": "020213834542382",
  "msg": "Success.",
  "notifyTime": "2023-10-09T05:52:42.159Z",
  "version": "1.0"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesReturn code, ‘APPLY_SUCCESS’ means success
msgstringYesReturn message, ‘Success.’

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.